<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui">

    
       <ui:composition template="/templates/generalTemplate.xhtml">

        <ui:define name="body">
                  
                        <br/>
                        <br/>
                        <h:form prependId="false">  

                            <h:panelGrid columns="4" style="width:100%; padding: 2px;"  >
                                <f:facet name="header">
                                   Gestor de ambientes 360 SENA
                                </f:facet>    
                                <h:outputText value="Dirección:" />
                                <h:outputText value="Cra 27 Calle 9 Ciudad Universitaria" />
                                <h:outputText value="Indicativos Telefónicos:" />
                                <h:outputText value="037" />
                                <h:outputText value="Vélez-Santander-Colombia	Ciudad: " />
                                <h:outputText value="7" />
                                <h:outputText value="PBX" />
                                <h:outputText value="6344000" />
                            </h:panelGrid> 
                        </h:form>  
                        <p:messages id="msgs" />  
                        <br/>
                        <br/>
                         
                        <h:form id="tablaUsrAdmins" class="tablaPostula" prependId="false" >  
                            <p:dataTable sortMode="multiple" var="usuariosAdmin" paginatorPosition="bottom"
                                         value="#{usuariosController.usr_admin_list}"
                                         widgetVar="contactos" emptyMessage="La página no tiene administradores actualmente" 
                                         paginator="true" rows="10">  
                                <f:facet name="header">
                                    <h:outputText value="Administradores"  />
                                </f:facet>
                                <p:column style="width:8%" headerText="Imágen de Perfil">  
                                    <p:graphicImage value="../Recursos/Imagenes/perfil/#{usuariosAdmin.usrFoto}" height="100"/>  
                                </p:column>  

                                <p:column id="nombre" style="width:10%"  headerText="Nombres" filterValue="#{usuariosAdmin.usrNombre}"
                                          filterMatchMode="contains" sortBy="#{usuariosAdmin.usrNombre}" filterBy="#{usuariosAdmin.usrNombre}" > 

                                    <h:outputText value="#{usuariosAdmin.usrNombre}" />  
                                </p:column> 
                                <p:column id="apellido"  style="width:10%" filterBy="#{usuariosAdmin.usrApellido}"   
                                          headerText="Apellidos"   filterMatchMode="contains" sortBy="#{usuariosAdmin.usrApellido}" >  
                                    <h:outputText value="#{usuariosAdmin.usrApellido}" />  
                                </p:column> 

                                <p:column id="email" style="width:15%" filterBy="#{usuariosAdmin.usrEmail}"   
                                          headerText="E-Mail"   filterMatchMode="contains" sortBy="#{usuariosAdmin.usrEmail}">  

                                    <h:outputText value="#{usuariosAdmin.usrEmail}" />  
                                </p:column>  
                            </p:dataTable>  
                        </h:form>  
                    
            </ui:define>
    </ui:composition>
   
</html>

